Bug 249441 - sysutils/radmind fix for FreeBSD 13
Summary: sysutils/radmind fix for FreeBSD 13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-18 20:59 UTC by mikeg
Modified: 2020-09-19 08:47 UTC (History)
1 user (show)

See Also:


Attachments
Patch against SVN 548903 (895 bytes, patch)
2020-09-18 20:59 UTC, mikeg
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikeg 2020-09-18 20:59:29 UTC
Created attachment 218063 [details]
Patch against SVN 548903

Bump to version 1.15.2 which addresses the pkg-fallout from FreeBSD 13's new CLANG.

Build/Run checked OK on FreeBSD 13 (2020-09-03 snapshot)
Build/Run checked OK on FreeBSD 12 (12.1-RELEASE-p6)
Comment 1 commit-hook freebsd_committer 2020-09-18 21:07:23 UTC
A commit references this bug:

Author: yuri
Date: Fri Sep 18 21:07:19 UTC 2020
New revision: 548910
URL: https://svnweb.freebsd.org/changeset/ports/548910

Log:
  sysutils/radmind: Update 1.15.1 -> 1.15.2; Fix for FreeBSD 13

  PR:		249441
  Submitted by:	mikeg@bsd-box.net (maintainer)

Changes:
  head/sysutils/radmind/Makefile
  head/sysutils/radmind/distinfo
Comment 2 Yuri Victorovich freebsd_committer 2020-09-18 21:07:28 UTC
Committed, thanks!
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-09-19 08:47:44 UTC
Comment on attachment 218063 [details]
Patch against SVN 548903

If the quarterly branch version is also affected, please re-open the issue and set the merge-quarterly flag to ?

Thanks!